private/get_user_trades_by_currency_and_time
Retrieves the latest user trades that have occurred for instruments in a specific currency within a specified time range. Returns trade details including price, amount, direction, timestamp, trade ID, and order ID for all instruments in the currency.
Results can be filtered by instrument kind. Use the count parameter to limit the number of trades returned, and sorting to control the order. Use historical to retrieve historical trade data. This method is useful for analyzing trading activity across a currency over specific time periods.
Main accounts may use the subaccount_id parameter to retrieve trade data for a specific subaccount (requires mainaccount scope).
📖 Related Article: Accessing Historical Trades and Orders Using API
Authorizations
Query Parameters
Instrument kind, "combo" for any combo or "any" for all. If not provided instruments of all kinds are considered
Instrument kind: "future", "option", "spot", "future_combo", "option_combo", "combo" for any combo or "any" for all
future, option, spot, future_combo, option_combo, combo, any Determines whether historical trade and order records should be retrieved.
false(default): Returns recent records: orders for 30 min, trades for 24h.true: Fetches historical records, available after a short delay due to indexing. Recent data is not included.
📖 Related Article: Accessing Historical Trades and Orders Using API